Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle
Class DefaultLifecycleState

    java.lang.Object
      org.mule.lifecycle.DefaultLifecycleState

All Implemented Interfaces:
  LifecycleState

    public class DefaultLifecycleState

extends Object
implements LifecycleState

A safe facade for lifecycle manager that objects can use to monitor its own state

Method Summary
`boolean` | `isDisposed()`
`boolean` | `isDisposing()`
`boolean` | `isInitialised()`
`boolean` | `isInitialising()`
`boolean` | `isPhaseComplete(String phase)`
`boolean` | `isPhaseExecuting(String phase)`
`boolean` | `isStarted()`
`boolean` | `isStarting()`
`boolean` | `isStopped()`
`boolean` | `isStopping()`
`boolean` | `isValidTransition(String phase)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isInitialised

    public boolean isInitialised()

  Specified by:
    `isInitialised` in interface `LifecycleState`

### isInitialising

    public boolean isInitialising()

  Specified by:
    `isInitialising` in interface `LifecycleState`

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `LifecycleState`

### isStarting

    public boolean isStarting()

  Specified by:
    `isStarting` in interface `LifecycleState`

### isStopped

    public boolean isStopped()

  Specified by:
    `isStopped` in interface `LifecycleState`

### isStopping

    public boolean isStopping()

  Specified by:
    `isStopping` in interface `LifecycleState`

### isDisposed

    public boolean isDisposed()

  Specified by:
    `isDisposed` in interface `LifecycleState`

### isDisposing

    public boolean isDisposing()

  Specified by:
    `isDisposing` in interface `LifecycleState`

### isPhaseComplete

    public boolean isPhaseComplete(String phase)

  Specified by:
    `isPhaseComplete` in interface `LifecycleState`

### isPhaseExecuting

    public boolean isPhaseExecuting(String phase)

  Specified by:
    `isPhaseExecuting` in interface `LifecycleState`

### isValidTransition

    public boolean isValidTransition(String phase)

  Specified by:
    `isValidTransition` in interface `LifecycleState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.